from Products.CMFCore.permissions import AddPortalContent
from Products.CMFCore.permissions import ManagePortal

ADD_CONTENT_PERMISSION = AddPortalContent
PROJECTNAME = 'RealEstateBroker'
SKINS_DIR = 'skins'
AVAILABLE_STATES = ('new', 'available', 'negotiating', 'sold')

GLOBALS = globals()

INSTALL_DEPENDENCIES = True

# Workflows
# To use the advanced workflow,
# just disable 'useSimpleWorkflow' and enable 'useAdvancedWorkflow' by switching the True and False.
useSimpleWorkflow = True
useAdvancedWorkflow = False


configlets = (
              {'id': 'RealEstateBroker',
               'appId': 'RealEstateBroker',
               'name': 'Real Estate Home settings',
               'action': 'string:$portal_url/prefs_broker_form',
               'category': 'Products',
               'permission': ManagePortal,
               'imageUrl': 'h_icon.gif'
              },

              {'id': 'RealBusinessBroker',
               'appId': 'RealEstateBroker',
               'name': 'Real Estate Business settings',
               'action': 'string:$portal_url/prefs_business_form',
               'category': 'Products',
               'permission': ManagePortal,
               'imageUrl': 'h_icon.gif'
              }
             )

forms = {
    'default': {'prefs_broker_form': {'success':'script:prefs_broker_set', 'failure':'prefs_broker_form',},
                'prefs_broker_set': {'success':'prefs_broker_form',},
                },
        }

validators = {
    'prefs_broker_form': ['validate_prefs_broker_form'],
    }
