from AccessControl import Permissions as ZPerms
from Products.CMFCore import permissions as CMFPerms
from Products.GroupUserFolder import GroupsToolPermissions as GRUFPerms

# Roles
RealEstateBrokerRoles = ['Employee', 'Customer',]

# Role -> Permission Mapping

RolePermissionMap = {
                     'Employee':( CMFPerms.ManageProperties, ZPerms.delete_objects, GRUFPerms.ViewGroups, CMFPerms.SetOwnProperties,
                                  CMFPerms.AddPortalContent, CMFPerms.View, CMFPerms.ModifyPortalContent, CMFPerms.ListFolderContents ),
                     'Customer':( CMFPerms.View, ),
                    }

#################################
# Default Permissions Role Map
DefaultPermissionRoleMap = {}
